package net.t2code.autoresponse.Spigot.config.languages;

import net.t2code.autoresponse.Util;
import net.t2code.autoresponse.Spigot.config.config.SelectConfig;
import net.t2code.autoresponse.Spigot.Main;
import net.t2code.lib.Spigot.Lib.messages.send;
import net.t2code.lib.Spigot.Lib.yamlConfiguration.Config;
import org.bukkit.configuration.file.YamlConfiguration;

import java.io.File;

public class SelectMessages {
    private static String prefix = Util.getPrefix();

    public static String selectMSG;

    public static String OnlyForPlayer;
    public static String ReloadStart;
    public static String ReloadEnd;

    public static String NoPermissionForCommand;
    public static String AliasDisabled;


    public static void onSelect(String Prefix) {

        send.debug(Main.plugin, "§4Select language...");
        Long long_ = Long.valueOf(System.currentTimeMillis());

        File msg;

        msg = new File(Main.getPath(), "languages/" + SelectConfig.language + "_messages.yml");
        if (!msg.isFile()) {
            send.console(Prefix);
            send.console(Prefix + " §4!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!");
            send.console(Prefix + " §4The selected §c" + SelectConfig.language + " §4language file was not found.");
            send.console(Prefix + " §6The default language §eEnglish §6is used!");
            send.console(Prefix + " §4!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!");
            send.console(Prefix);
            msg = new File(Main.getPath(), "languages/" + "english_messages.yml");
            selectMSG = "english";
        } else selectMSG = SelectConfig.language;
        YamlConfiguration yamlConfiguration = YamlConfiguration.loadConfiguration(msg);

        ReloadStart = Config.select(prefix, "Plugin.Reload.Start", yamlConfiguration);
        ReloadEnd = Config.select(prefix, "Plugin.Reload.End", yamlConfiguration);
        NoPermissionForCommand = Config.select(prefix, "Plugin.ForCommand", yamlConfiguration);

        send.console(Prefix + " §2Language successfully selected to: §6" + selectMSG  + " §7- §e" + (System.currentTimeMillis() - long_.longValue()) + "ms");
    }
}
